{% extends 'base.html.twig' %}

{% block title %}Category index{% endblock %}

{% block body %}
    <h1>Category</h1>

    <table class="table">
        <thead>
            <tr>
                {# <th>Id</th> #}
                <th>Name</th>
                <th>Description</th>
                <th>{% if app.user %}actions{% endif %}</th>
            </tr>
        </thead>
        <tbody>
        {% for category in categories %}
            <tr>
                {# <td>{{ category.id }}</td> #}
                <td>{{ category.name }}</td>
                <td>{{ category.description }}</td>
                <td>
                {% if app.user %}
                    <a class="white" href="{{ path('category_show', {'id': category.id}) }}">show</a>
                    <a class="white" href="{{ path('category_edit', {'id': category.id}) }}">edit</a>
               {% endif %}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    {% if app.user %}
    <a class="white" href="{{ path('category_new') }}">Create new</a>
    {% endif %}
{% endblock %}
